Contents

# Bit loosamme assiishshubba

Tene hajajo injeesate...

Surki - Assishsha - Fuula Shallaggo

## BITAND

Eishshubbannita bitiwise lojikaale "nna" eishshubba qolanno.

This function is available since LibreOffice 3.5.

#### Syntax

BITAND(kiiro1; kiiro2)

Kiiro1 nna kiiro2 pooseetiive intigerubba ikkite 2 ^ 48 (281 474 976 710 656)ajjanno.

#### Example

=BITAND(6;10) 2 (0110 & 1010 = 0010)qolanno.

## BITLSHIFT

Kiiro gurara n bituwanni shiikkanno.

This function is available since LibreOffice 3.5.

#### Syntax

BITLSHIFT(kiiro; shiikka)

Kiiro pooseetiive intigerubba ikkite 2 ^ 48 (281 474 976 710 656)ajjanno.

Shiikki kiirote ofollubba ikkite bituwa gurara hara noosete. Shiikko negaatiive ikkituro, BITRSHIFT (kiiro; -shiikki)ledo dhaaddo qaallaati.

#### Example

=BITLSHIFT(6;1) 12 (0110 << 1 = 1100)qolanno.

## BITOR

Eishshubbannita bitiwise lojikaale "nna" eishshubba qolanno.

This function is available since LibreOffice 3.5.

#### Syntax

BITOR(kiiro1; kiiro2)

Kiiro1 nna kiiro2 pooseetiive intigerubba ikkite 2 ^ 48 (281 474 976 710 656)ajjanno.

=BITOR(6;10) 14 (0110 1010 = 1110)qolanno.

## BITRSHIFT

Kiiro qiniitira n bituwanni shiikkanno.

This function is available since LibreOffice 3.5.

#### Syntax

BITLSHIFT(kiiro; shiikka)

Kiiro pooseetiive intigerubba ikkite 2 ^ 48 (281 474 976 710 656)ajjanno.

Shiikki kiirote ofollubba ikkite bituwa gurara hara noosete. Shiikko negaatiive ikkituro, BITLSHIFT (kiiro; -shiikki)ledo dhaaddo qaallaati.

#### Example

=BITRSHIFT(6;1) 3 (0110 >> 1 = 0011)qolanno.

## BITXOR

Eishshubbannita bitiwise lojikaale "woy" eishshubba qolanno.

This function is available since LibreOffice 3.5.

#### Syntax

BITXOR(kiiro1; kiiro2)

Kiiro1 nna kiiro2 pooseetiive intigerubba ikkite 2 ^ 48 (281 474 976 710 656)ajjanno.

#### Example

=BITXOR(6;10) 12 (0110 ^ 1010 = 1100)qolanno

Fiixoo'mino umo

Functions by Category

Please support us!